System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BehaviorExtensionElement To be added.

Represents a configuration element that specifies the to be used. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this behavior element.

- Method
  4.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("ignoreExtensionDataObject", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added. To be added.

  Gets or sets a value that specifies whether to ignore data supplied by an extension of the class, when the class is being serialized or deserialized.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxItemsInObjectGraph", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=0)
  System.Int32 To be added. To be added.

  Gets or sets the maximum number of items to serialize or deserialize.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.